Getting Started

6 Jun 202320 minutes to read

This section explains you the steps required to populate the RangeNavigator with data, add data labels, tooltips and title to the Chart. This section covers only the minimal features that you need to know to get started with the RangeNavigator.

Create your RangeNavigator

This section encompasses on how to configure the ejRangeNavigator and update the chart control for RangeNavigator’s selected range. It also helps you to learn how to pass the required data to RangeNavigator and customize the scale and selected range for your requirements. In this example, you will look at the steps to configure a RangeNavigator to analyze sales of a product for a particular quarter in a year.

Adding Script Reference

Create an HTML page and add the scripts references in the order mentioned in the following code example.

  • jQuery 1.10.2 and later versions

The required ReactJS script dependencies as follows. And you can also refer React to know more about react js.

To get started, you can use the ej.web.all.min.js file that encapsulates all the ej controls and frameworks in one single file.

  • HTML
  • <!DOCTYPE html>
       <html>
         <head>
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta name="description" content="Essential Studio for React JS">
            <meta name="author" content="Syncfusion">
            <title>Getting Started for Ribbon React JS</title>
            <!-- Essential Studio for JavaScript  theme reference -->
            <link href="http://cdn.syncfusion.com/28.1.33/js/web/flat-azure/ej.web.all.min.css" rel="stylesheet" />
            <!-- Essential Studio for JavaScript  script references -->
            <script src="http://cdn.syncfusion.com/js/assets/external/jquery-3.0.0.min.js"></script>
             <script src="http://cdn.syncfusion.com/js/assets/external/react.min.js"></script>
            <script src="http://cdn.syncfusion.com/js/assets/external/react-dom.min.js"></script>
            <script src="http://cdn.syncfusion.com/28.1.33/js/web/ej.web.all.min.js"></script>
            <script src="http://cdn.syncfusion.com/28.1.33/js/common/ej.web.react.min.js"></script>
            <!-- Add your custom scripts here -->
        </head>
            <body>
            </body>
       </html>

    NOTE

    1. In production, we highly recommend you to use our custom script generator to create custom script file with required controls and its dependencies only. Also to reduce the file size further please use GZip compression in your server.
    2. For themes, you can use the ej.web.all.min.css CDN link from the code snippet given. To add the themes in your application, please refer to this link.

    Control Initialization

    Control can be initialized in two ways.

    • Using jsx Template
    • Without using jsx Template

    Using jsx Template

    By using the jsx template, we can create the html file and jsx file. The .jsx file can be convert to .js file and it can be referred in html page.

    Configure ejRangeNavigator

    Getting started with your ejRangeNavigator is simple. You can initialize the ejRangeNavigator by setting its range values.

    1.Create a <div> tag.

  • HTML
  • <!DOCTYPE html>
    <html>    
        <body>
    	<div id="rangeNavigator-default" ></div>
                <script src="app/rangeNavigator/default.js"></script>    
        </body>
    </html>

    2.Initialize the RangeNavigator by using the EJ.RangeNavigator tag.

  • JAVASCRIPT
  • <script type="text/babel">
    use strict";
    var rangeSettings={ 
                        start: "2010/1/1", end: "2010/12/31"
                    };
    ReactDOM.render(
        <div className="default">
            ReactDOM.render(
                         <div className="default">
                            <EJ.RangeNavigator id="rangenavigator1" rangeSettings ={rangeSettings}></EJ.RangeNavigator>,
                         </div>,
                         document.getElementById('rangenavigator-default')
                         );
        document.getElementById('rangenavigator-default')
        );
    </script>

    The following Screen shot displays the RangeNavigator with a range from 2010 January 1st to December 31st.

    Add series

    To add a series to RangeNavigator, you need to set dataSource property, as given in the following code example.

    You can create data source for RangeNavigator as follows.

  • JAVASCRIPT
  • var data = [{ "xDate": new Date(2011, 0, 1), "yValue": 10 },
                            { "xDate": new Date(2011, 2, 1), "yValue": 5 },
                            { "xDate": new Date(2011, 4, 1), "yValue": 15 },
                            { "xDate": new Date(2011, 6, 1), "yValue": 25 },
                            { "xDate": new Date(2011, 8, 1), "yValue": 10 },
                            { "xDate": new Date(2011, 10, 1), "yValue": 5 },
                            { "xDate": new Date(2011, 12, 1), "yValue": 15 }];

    Now, add the dataSource to the RangeNavigator and provide the field name to get the values from the dataSource in xName and yName options

  • JAVASCRIPT
  • <script type="text/babel">
    var series  = [ 
                    {
                         type: 'line',
                        dataSource: data, xName: "XValue", yName: "YValue",
                        }
                     ];
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
               ReactDOM.render(
                         <div className="default">
                            <EJ.RangeNavigator id="rangenavigator1" series={series}></EJ.RangeNavigator>,
                         </div>,
                         document.getElementById('rangenavigator-default')
                         );
                     
            </script>
        </body>
    </html>

    The following screenshot displays the RangeNavigator with the type series as “line”.

    Enable tooltip

    Tooltip can be customized for RangeNavigator using tooltip option. You can also use TooltipDisplayMode option in tooltip to display the tooltip “always” or “ondemand” (displays tooltip only while dragging the sliders). You can also specify label format for tooltip using LabelFormat.

  • JAVASCRIPT
  • <script type="text/babel">
    var tooltipSettings= {
                    visible: true, labelFormat: "MMM/yyy", tooltipDisplayMode: "always"
                         };
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
               ReactDOM.render(
                         <div className="default">
                            <EJ.RangeNavigator id="rangenavigator1"  tooltipSettings = {tooltipSettings}></EJ.RangeNavigator>,
                         </div>,
                         document.getElementById('rangenavigator-default')
                         );
                     
            </script>
        </body>
    </html>

    The following screen shot displays the label format Tooltip in RangeNavigator:

    Update Chart

    You can use ejRangeNavigator with controls such as chart and grid to view the range of data selected in ejRangeNavigator.

    In order to update chart, whenever the selected range changes in ejRangeNavigator, you need to use rangeChanged event of ejRangeNavigator and then update the chart with the selected data in this event.

    You can create a chart with line series using the following code sample.

    Create a <div> tag with an id for rendering the chart.

  • HTML
  • <body>
    <div id="chart-default"></div>
    </body>
  • JAVASCRIPT
  • <script type="text/babel">
     function onChartLoaded(sender) {
    		var chartObj = $("#chart").data("ejChart");
                if (chartObj != null) {
                    chartObj.model.primaryXAxis.zoomPosition = sender.zoomPosition;
                    chartObj.model.primaryXAxis.zoomFactor = sender.zoomFactor;
                }
                $("#default_chart_sample_0").ejChart("redraw");
            };
             ReactDOM.render(
                         <div className="default">
                            <EJ.RangeNavigator id="rangenavigator1"  rangeChanged = {onChartLoaded} dataSource=data xName="XValue" yName="YValue"></EJ.RangeNavigator>,
                         </div>,
                         document.getElementById('rangenavigator-default')
                         );
                     
     var title = { text: "Sales Analysis" };
     var legend = { visible: true, position: 'top' };
     var primaryYAxis = {
                    title: { text: "Sales(Million)" }
                };
     var series =   [
                    {
                        name: 'Product A', type: 'line',
                        dataSource: data, xName: "xDate", yName: "yValue"
                    }
                ];          
      ReactDOM.render(
                         <div className="default">
                            <EJ.Chart id="chart1"  title = {title} legend = {legend} primaryYAxis = {primaryYAxis} series = {series}></EJ.Chart>
               </div>,
                         document.getElementById('chart-default')
                         );
      </script>
        </body>
    </html>

    The following screenshot displays how the RangeNavigator is updated when the selected range is changed.

    Set value type

    RangeNavigator can also be used with numerical values. You can specify the data type using ValueType option.

    First let’s create a DataSource for Chart Series with integer Values.

  • JAVASCRIPT
  • var Data = [
        { "xDate": 0, "yValue": 10 },
        { "xDate": 50, "yValue": 5 },
        { "xDate": 100, "yValue": 15 },
        { "xDate": 150, "yValue": 25 },
        { "xDate": 200, "yValue": 10 },
        { "xDate": 250, "yValue": 5 },
        { "xDate": 300, "yValue": 15 },
          ];

    Now, you can set the dataSource for Chart Series and valueType property to “numeric” as given in the following code example.

  • JAVASCRIPT
  • <script type="text/babel">
    var series  = [ 
                    {
                         type: 'line',
                        dataSource: data, xName: "XValue", yName: "YValue",
                        }
                     ];
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
               ReactDOM.render(
                         <div className="default">
                            <EJ.RangeNavigator id="rangenavigator1" series={series} valueType=numeric></EJ.RangeNavigator>,
                         </div>,
                         document.getElementById('rangenavigator-default')
                         );
                     
            </script>
        </body>
    </html>

    The following screenshot displays the RangeNavigator with numerical values:

    Without using jsx Template

    The Range Navigator can be created from a HTML DIV element with the HTML id attribute set to it. Refer to the following code example.

  • HTML
  • <div id="rangenavigator-default"></div>
  • JAVASCRIPT
  • <script type="text/babel">
    
    var Data = [
        { "xDate": 0, "yValue": 10 },
        { "xDate": 50, "yValue": 5 },
        { "xDate": 100, "yValue": 15 },
        { "xDate": 150, "yValue": 25 },
        { "xDate": 200, "yValue": 10 },
        { "xDate": 250, "yValue": 5 },
        { "xDate": 300, "yValue": 15 },
          ];
    
    var series  = [ 
                    {
                         type: 'line',
                        dataSource: data, xName: "XValue", yName: "YValue",
                        }
                     ];
    
               ReactDOM.render(
        React.createElement(EJ.RangeNavigator, {id: "defaultrangenaviagator1", 
         valueType: "numeric", 
        series: series, 
          }
                      
        ),
    		  document.getElementById('rangenavigator-default')
    );
                     
            </script>
        </body>
    </html>

    The following screenshot displays the RangeNavigator with numerical values:

#Getting Started

Before we start with the RangeNavigator, please refer this page for general information regarding integrating Syncfusion widget’s.

Adding JavaScript and CSS Reference

To render the RangeNavigator control, the following list of external dependencies are needed,

  • jQuery - 1.7.1 and later versions
  • Angular - Angular latest versions

The other required internal dependencies are tabulated below,

Files Description/Usage
ej.core.min.js It is referred always before using all the JS controls.
ej.data.min.js Used to handle data operation and is used while binding data to the JS controls.
ej.rangenavigator.min.js RangeNavigator core script file which includes RangeNavigator related scripts files.
ej.globalize.min.js It is referred when using localization in RangeNavigator.
ej.scroller.min.js It is referred when scrolling is used in the RangeNavigator.

NOTE

RangeNavigator uses one or more script files, therefore refer the ej.web.all.min.js (which encapsulates all the ej controls and frameworks in a single file) in the application instead of referring all the above specified internal dependencies.

To get the real appearance of the RangeNavigator, the dependent CSS file ej.web.all.min.css (which includes styles of all the widgets) should also needs to be referred.

Preparing HTML document

Create an HTML page and add the scripts references in the order mentioned in the following code example.

  • HTML
  • <html>
        <head>
        <title>Angular RangeNavigator</title>
    
        <!-- Essential Studio for JavaScript  theme reference -->
        <link rel="stylesheet" href="http://cdn.syncfusion.com/28.1.33/js/web/flat-azure/ej.web.all.min.css" />
    
        <!-- Angular related script references -->
        <!-- 1. Load libraries -->
             <!-- Polyfill(s) for older browsers -->
        <script src="node_modules/core-js/client/shim.min.js"></script>   
        <script src="node_modules/zone.js/dist/zone.js"></script>
        <script src="node_modules/reflect-metadata/Reflect.js"></script>
        <script src="node_modules/systemjs/dist/system.src.js"></script>
    
        <!-- Essential Studio for JavaScript  script references -->
        <script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
        <script src="http://cdn.syncfusion.com/28.1.33/js/web/ej.web.all.min.js"> </script> 
        <script src="http://cdn.syncfusion.com/28.1.33/js/common/ej.angular2.min.js"></script>
        
        <!-- 2. Configure SystemJS -->
        <script src="systemjs.config.js"></script>
        <script>       
          System.import('app')
                .then(null, console.error.bind(console));
        </script>
    
        </head>
        <!-- 3. Display the application -->
        <body>
        <ej-app>  
    		    <div class="splash">
    			      <div class="message">Angular Syncfusion Components App</div>
    			      <div class="spinner"></div>
    		    </div>
    	  </ej-app>
        </body>
        </html>

    NOTE

    Uncompressed version of library files are also available which is used for development or debugging purpose and can be generated from the custom script here.

    Control Initialization

    • Copy RangeNavigator Syncfusion Angular source component(s) from the below build location and add it in src/ej folder (For ex., consider the rangenavigator component).
  • JAVASCRIPT
  • (Installed Location)\Syncfusion\Essential Studio\14.3.0.49\JavaScript\assets-src\angular2\

    NOTE

    core.ts file is mandatory for all Syncfusion JavaScript Angular components. The repository having the source file from Essential Studio for JavaScript v14.3.0.49.

    • Create rangenavigator folder inside src folder.

    • Create rangenavigator.component.html view file inside src/rangenavigator folder and render ejRangeNavigator Angular component using the below code example.

  • HTML
  • <ej-rangenavigator id="rangenavigator" [sizeSettings.height]="100" [sizeSettings.width]="400">           
    </ej-rangenavigator>
    • Create rangenavigator.component.ts model file inside the folder src/rangenavigator and create sample component using the below code example.
  • TS
  • import { Component, ViewEncapsulation } from '@angular/core';
    
    @Component({
      selector: 'ej-app',
      templateUrl: 'src/rangenavigator/rangenavigator.component.html'
    })
    export class RangeNavigatorComponent {
    
    }

    Configure the routes for the Router

    Before adding router configuration for above created ejRangeNavigator component, we recommend you to go through the Angular Routing configuration to get the deeper knowledge about Angular routing.

    • Now, we are going to configure the route navigation link for created rangenavigator sample in src/app.component.html file.
  • HTML
  • <div>
    	<ul class="nav navbar-nav">
    		<li><a data-toggle="collapse" data-target="#skeleton-navigation-navbar-collapse.in"
         href="#rangenavigator" [routerLink]="['/rangenavigator']">rangenavigator </a></li>
    	</ul>
    </div>
    <main>
    	<router-outlet></router-outlet>
    </main>
    • Import the ejRangeNavigator sample component and define the route in src/app.routes.ts file.
  • TS
  • import { Routes } from '@angular/router';
    . . . . 
    import { RangeNavigatorComponent } from './rangenavigator/rangenavigator.component';
    
    export const rootRouterConfig: Routes = [
        { path: '', redirectTo: 'home', pathMatch: 'full' },
        . . . . 
        { path: 'rangenavigator', component: RangeNavigatorComponent }
    ];
    • Import and declare the Syncfusion source component and ejRangeNavigator sample component into app.module.ts like the below code snippet.
  • TS
  • import { NgModule, enableProdMode, ErrorHandler } from '@angular/core';
    . . . . . 
    import { EJ_RANGENAVIGATOR_COMPONENTS } from './ej/rangenavigator.component';
    import { RangeNavigatorComponent } from './rangenavigator/rangenavigator.component';
    
    import { rootRouterConfig } from './app.routes';
    . . . . 
    @NgModule({
      imports: [BrowserModule, FormsModule, HttpModule, RouterModule.forRoot(rootRouterConfig, { useHash: true })],
      declarations: [. . . . , EJ_RANGENAVIGATOR_COMPONENTS, RangeNavigatorComponent],
      bootstrap: [AppComponent]
    })
    export class AppModule { }

    Running the application

    • To run the application, execute below command.
  • JAVASCRIPT
  • npm start
    • Browse to http://localhost:3000 to see the application. And navigate to rangenavigator tab. The component is rendered as like the below screenshot. You can make changes in the code found under src folder and the browser should auto-refresh itself while you save files.

    Configure RangeNavigator

    Getting started with your ej-rangenavigator is simple. You can initialize the ej-rangenavigator by setting its range values.

    You can create an HTML file as shown in the following code example.

    1. Create a <div> tag with an id.
    2. Set ej-rangenavigator attribute to render RangeNavigator control and add e-rangeSettings for customize the rangeSettings.
  • HTML
  • <ej-rangenavigator rangeSettings.start="2011/1/1" rangeSettings.end="2011/12/31">           
    </ej-rangenavigator>

    The following screen shot displays the RangeNavigator with a range from 2010, January 1st to December 31st.

    Add series

    To add series to ej-rangenavigator, you need to set dataSource property of ej-rangenavigator as shown in the following code example.

    You can create a folder service and add data.service.ts file to give data source for RangeNavigator as follows.

  • TS
  • export class DataService{
    rangeData():Array<any>{
            return[
                { "xDate": new Date(2011, 0, 1), "yValue": 10 },
                { "xDate": new Date(2011, 2, 1), "yValue": 5 },
                { "xDate": new Date(2011, 4, 1), "yValue": 15 },
                { "xDate": new Date(2011, 6, 1), "yValue": 25 },
                { "xDate": new Date(2011, 8, 1), "yValue": 10 },
                { "xDate": new Date(2011, 10, 1), "yValue": 5 },
                { "xDate": new Date(2011, 12, 1), "yValue": 15 }
                ];
        }
    }

    Now, add the dataSource to the RangeNavigator and provide the field name to get the values from the dataSource in xName and yName options.

  • JAVASCRIPT
  • <ej-rangenavigator [dataSource]="dataRange" xName="xDate" yName="yValue">           
    </ej-rangenavigator>
  • TS
  • import { Component, ViewEncapsulation} from '@angular/core';
    import { DataService} from '../service/data.service';
    
    @Component({
    selector:"ej-app",
    templateUrl:"src/rangenavigator/rangenavigator.component.html",
    providers:[DataService]
    })
    export class RangenavigatorComponent{
    dataRange:any;
        constructor(dataService:DataService){
            this.dataRange=dataService.rangeData();
        }    
    }

    The following screenshot displays a RangeNavigator with the default “Line” series type.

    Enable tooltip

    You can customize Tooltip for RangeNavigator using tooltip option. You can use tooltipDisplayMode option in tooltip,to display the tooltip “always” or “ondemand” (displays tooltip only while dragging the sliders). You can also specify label format for tooltip using labelFormat.

    The following code sample shows how to enable a Tooltip.

  • HTML
  • <ej-rangenavigator [tooltipSettings.visible]="true" tooltipSettings.labelFormat="MMM/yyyy"
                                tooltipSettings.tooltipDisplayMode="always">           
    </ej-rangenavigator>

    The following screenshot displays the label format Tooltip in RangeNavigator: